package com.logicbig.example;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class PersonClient {

    @Autowired
    Dao<Person> personDao;

    public void process() {
        Person person = Person.create("Dana", "Whitley", "464 Gorsuch Drive");
        System.out.println("saving: " + person);
        long generatedId = personDao.save(person);
        System.out.println("generated id: " + generatedId);
        Person loadedPerson = personDao.load(generatedId);
        System.out.println("Loaded by id: "+loadedPerson);
    }
}